=== test/java/Makefile ===
all:
	ant

clean:
	ant clean
