=== test/lua/Makefile ===
all:
	lcm-gen -l ../types/lcmtest/*.lcm

clean:
	rm -rf lcmtest
