## lcm 1.3.1%2Brepack1

=== debian/control ===
Source: lcm
Priority: optional
Section: libs
Maintainer: Dima Kogan <dkogan@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf,
 libglib2.0-dev, libtool,
 liblua5.2-dev, lua5.2,
 default-jdk-headless | java-sdk, libjchart2d-java, libhamcrest-java, junit,
 doxygen
Standards-Version: 3.9.8
Homepage: http://lcm-proj.github.io/
Vcs-Git: git://anonscm.debian.org/collab-maint/lcm.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/lcm.git

Package: liblcm1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lightweight Communications and Marshalling
 LCM is a set of libraries and tools for message passing and data marshalling,
 targeted at real-time systems where high-bandwidth and low latency are
 critical. It provides a publish/subscribe message passing model and automatic
 marshalling/unmarshalling code generation with bindings for applications in a
 variety of programming languages.
 .
 This package provides the runtime libraries.

Package: liblcm-dev
Architecture: any
Depends: liblcm1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
         liblcm-bin
Description: Lightweight Communications and Marshalling
 LCM is a set of libraries and tools for message passing and data marshalling,
 targeted at real-time systems where high-bandwidth and low latency are
 critical. It provides a publish/subscribe message passing model and automatic
 marshalling/unmarshalling code generation with bindings for applications in a
 variety of programming languages.
 .
 This package provides the runtime libraries.

Package: liblcm-bin
Architecture: any
Depends: liblcm1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Lightweight Communications and Marshalling
 LCM is a set of libraries and tools for message passing and data marshalling,
 targeted at real-time systems where high-bandwidth and low latency are
 critical. It provides a publish/subscribe message passing model and automatic
 marshalling/unmarshalling code generation with bindings for applications in a
 variety of programming languages.
 .
 This package provides the executable tools.

Package: liblcm-lua
Architecture: any
Depends: liblcm1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
         liblcm-bin
Description: Lightweight Communications and Marshalling
 LCM is a set of libraries and tools for message passing and data marshalling,
 targeted at real-time systems where high-bandwidth and low latency are
 critical. It provides a publish/subscribe message passing model and automatic
 marshalling/unmarshalling code generation with bindings for applications in a
 variety of programming languages.
 .
 This package provides the lua interface.

Package: liblcm-java
Architecture: any
Depends: liblcm1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
         liblcm-bin
Description: Lightweight Communications and Marshalling
 LCM is a set of libraries and tools for message passing and data marshalling,
 targeted at real-time systems where high-bandwidth and low latency are
 critical. It provides a publish/subscribe message passing model and automatic
 marshalling/unmarshalling code generation with bindings for applications in a
 variety of programming languages.
 .
 This package provides the java interface.

Package: liblcm-doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lightweight Communications and Marshalling
 LCM is a set of libraries and tools for message passing and data marshalling,
 targeted at real-time systems where high-bandwidth and low latency are
 critical. It provides a publish/subscribe message passing model and automatic
 marshalling/unmarshalling code generation with bindings for applications in a
 variety of programming languages.
 .
 This package contains the documentation
