## lcm 1.3.1+repack1

=== debian/changelog ===
lcm (1.3.1+repack1-9) unstable; urgency=medium

  [ Andreas Beckmann ]
  * QA upload.
  * Update watch file.
  * liblcm-doc: Mark as Multi-Arch: same.

  [ Jose Luis Rivero ]
  * Use default-jdk package for java support
  * Add bindnow to DEB_BUILD_MAINT_OPTIONS
  * Fix descriptions

 -- Andreas Beckmann <anbe@debian.org>  Fri, 14 Feb 2025 09:07:26 +0100

lcm (1.3.1+repack1-8) unstable; urgency=medium

  * QA upload.
  * Fix building with -Werror=implicit-function-declaration.
    (Closes: #1066246)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 15 Apr 2024 11:44:58 +0200

lcm (1.3.1+repack1-7) unstable; urgency=medium

  * QA upload.
  * debian/rules: Fix removal of Makefile that contains embedded build
    paths and binary paths. (Closes: #1024286)
  * debian/copyright: Update Source URL.

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Wed, 06 Dec 2023 12:48:38 -0800

lcm (1.3.1+repack1-6) unstable; urgency=medium

  * QA upload.
  * debian/rules: Remove example Makefile that embedded build paths and
    binary paths. (Closes: #1024286)
  * debian/rules: Set Rules-Requires-Root to "no".
  * Update to debhelper-compat 13.

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Fri, 01 Dec 2023 18:34:47 -0800

lcm (1.3.1+repack1-5) unstable; urgency=medium

  * QA upload.
  * Drop liblcm-lua.

 -- Bastian Germann <bage@debian.org>  Sun, 27 Aug 2023 14:22:56 +0200

lcm (1.3.1+repack1-4) unstable; urgency=medium

  * QA upload
  * Move Vcs tags to salsa

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

 -- Bastian Germann <bage@debian.org>  Mon, 14 Aug 2023 15:09:30 +0200

lcm (1.3.1+repack1-3) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #965945)

 -- Marcos Talau <talau@debian.org>  Mon, 14 Nov 2022 08:12:48 -0300

lcm (1.3.1+repack1-2.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Fixed the build failure with Java 17 (Closes: #982044)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 16 May 2022 23:52:19 +0200

lcm (1.3.1+repack1-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove the Python2 bindings. (Closes: #936829)

 -- Adrian Bunk <bunk@debian.org>  Tue, 24 Dec 2019 07:22:19 +0200

lcm (1.3.1+repack1-2.2) unstable; urgency=medium

  * Replace previous NMU with a new source-only upload.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 08 Aug 2019 02:19:29 +0000

lcm (1.3.1+repack1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Eliminate dependency on epydoc, which will be removed (closes: #881547)
    - Update debian/control to remove Build-Depends: python-epydoc
    - Update docs/build-docs.sh so it no longer builds epydoc documentation

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri, 02 Aug 2019 15:42:31 +0000

lcm (1.3.1+repack1-2) unstable; urgency=medium

  * I default to java 1.6, not java 1.5 (Closes: #893552)

 -- Dima Kogan <dkogan@debian.org>  Sat, 31 Mar 2018 01:46:28 -0700

lcm (1.3.1+repack1-1) unstable; urgency=medium

    Initial release (Closes: #577848)

 -- Dima Kogan <dkogan@debian.org>  Sun, 09 Oct 2016 01:27:18 -0700
