=== debian/control ===
Source: lcm
Priority: optional
Section: libs
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 default-jdk,
 doxygen,
 junit,
 libglib2.0-dev,
 libhamcrest-java,
 libjchart2d-java,
 libtool,
Standards-Version: 3.9.8
Homepage: http://lcm-proj.github.io/
Vcs-Git: https://salsa.debian.org/debian/lcm.git
Vcs-Browser: https://salsa.debian.org/debian/lcm
Rules-Requires-Root: no

Package: liblcm1
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Lightweight Communications and Marshalling - Runtime lib
 LCM is a set of libraries and tools for message passing and data marshalling,
 targeted at real-time systems where high-bandwidth and low latency are
 critical. It provides a publish/subscribe message passing model and automatic
 marshalling/unmarshalling code generation with bindings for applications in a
 variety of programming languages.
 .
 This package provides the runtime libraries.

Package: liblcm-dev
Section: libdevel
Architecture: any
Depends:
 liblcm-bin,
 liblcm1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Lightweight Communications and Marshalling - Dev files
 LCM is a set of libraries and tools for message passing and data marshalling,
 targeted at real-time systems where high-bandwidth and low latency are
 critical. It provides a publish/subscribe message passing model and automatic
 marshalling/unmarshalling code generation with bindings for applications in a
 variety of programming languages.
 .
 This package provides the development files.

Package: liblcm-bin
Architecture: any
Depends:
 liblcm1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Lightweight Communications and Marshalling - Executable tools
 LCM is a set of libraries and tools for message passing and data marshalling,
 targeted at real-time systems where high-bandwidth and low latency are
 critical. It provides a publish/subscribe message passing model and automatic
 marshalling/unmarshalling code generation with bindings for applications in a
 variety of programming languages.
 .
 This package provides the executable tools.

Package: liblcm-java
Section: java
Architecture: any
Depends:
 liblcm-bin,
 liblcm1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Lightweight Communications and Marshalling - Java Interface
 LCM is a set of libraries and tools for message passing and data marshalling,
 targeted at real-time systems where high-bandwidth and low latency are
 critical. It provides a publish/subscribe message passing model and automatic
 marshalling/unmarshalling code generation with bindings for applications in a
 variety of programming languages.
 .
 This package provides the Java interface.

Package: liblcm-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Lightweight Communications and Marshalling - Documentation
 LCM is a set of libraries and tools for message passing and data marshalling,
 targeted at real-time systems where high-bandwidth and low latency are
 critical. It provides a publish/subscribe message passing model and automatic
 marshalling/unmarshalling code generation with bindings for applications in a
 variety of programming languages.
 .
 This package contains the documentation.
