=== debian/watch ===
version=4
opts="dversionmangle=s/\+repack.*$//, \
      uversionmangle=s/-RC/~rc/, \
      filenamemangle=s%(?:.*?)?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
  https://github.com/lcm-proj/lcm/tags \
  (?:.*?/)?@ANY_VERSION@@ARCHIVE_EXT@
