=== m4macros/CMakeLists.txt ===
install(FILES lcm.m4 DESTINATION share/aclocal)
