=== debian/changelog ===
lcm (1.5.0~repack1-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 12:05:07 +0100

lcm (1.5.0~repack1-0ubuntu1) noble; urgency=medium

  [ Jose Luis Rivero ]
  * New upstream version 1.5.0~repack
    (LP: #1956368, #2053256)
  * Formatter changes
  * Bump standards to 4.6.2 (no changes needed)
  * Use default-jdk package for java support
  * Bump version to 1.5.0~repack1
  * Rediff patches:
  * PATCH: use gnuinstalldirs in CMake
  * PATCH: use gtest from system
  * PATCH: use java system dependencies instead of embedded files
  * PATCH: Encode utf8 characters to fix the java build
  * PATCH: fix manpages name to make lintian happy
  * Add CMake to d/control
  * Use --no-parallel for testing
  * Cleanup d/rules
  * Update liblcm-doc.docs for new paths
  * Generalize d/liblcm-dev.install
  * Convert package to use pybuild. Change d/rules heavily.
  * Update java dependencies in d/control
  * Update d/copyright file
  * Keep lcm-java.pc only in the java package
  * Remove .doctrees from the -docs package
  * Add bindnow to DEB_BUILD_MAINT_OPTIONS
  * Replace embedded fonts and jquery with system dependencies
  * Remove .gitignore from liblcm-doc installation
  * Update existing patch for javadoc generation
  * Rework java patch to use offline generation
  * Reorder java dependencies: in -bin and -java
  * Adding Section: to packages
  * Added autotest: install and build-cpp

  [ Vladimir Petko ]
  * Use javahelper to package jar file
  * PATCH: fix build error due to the quotes around pythonpath

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 10 Apr 2024 13:28:38 +0200

lcm (1.3.1+repack1-7build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:38:35 +0000

lcm (1.3.1+repack1-7build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:17:22 +0000
