=== debian/tests/control ===
Tests: install
Depends: liblcm-bin
Restrictions: allow-stderr, superficial

Tests: build-cpp-example
Depends: cmake, build-essential, liblcm-doc, liblcm-dev
Restrictions: allow-stderr, superficial
